> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zdns/private-zone/unbindprivatezonevpc.md).

# UnbindPrivateZoneVpc

## 1. API Description

This API (UnbindPrivateZoneVpc) is used to disassociate a DNS Zone from specified VPCs.

{% hint style="info" %}
**Notes**

* If some of the specified VPCs are not associated with the DNS Zone, the other VPCs are still disassociated normally.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                |
| -------------- | -------- | --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | Yes      | String          | <p>DNS Zone ID.</p><p>It can be obtained by calling <a href="/api-reference/zdns/private-zone/describeprivatezones.md">DescribePrivateZones</a>.</p>       |
| vpcIds         | Yes      | Array of String | <p>List of VPC IDs to be disassociated.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/describevpcs.md">DescribeVpcs</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Disassociate specified VPCs from a DNS Zone.**

```json
POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnbindPrivateZoneVpc
<Common Request Params>

Request:
{
    "zoneId": "<zoneId>",
    "vpcIds": [
        "<vpcId>"
    ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                         | Description              |
| ---------------- | ---------------------------------- | ------------------------ |
| 404              | INVALID\_PRIVATE\_ZONE\_NOT\_FOUND | DNS Zone does not exist. |
